<template>
    <div class="nav">
        <div class="until-tab navchild">
            <div class="tblock">
                <div class="blockitem brand txt-full-white">
                    <div>Midorya</div>
                </div>
            </div>
            <div class="tblock">
                <div class="blockitem" style="position: relative">
                    <div class="btn-wrap btn-head txt-full-white br20 hover-secondary-light"
                     @click.prevent="state.show = !state.show">
                        <div class="hideMob btn-txt-local">
                            <p style="margin: 0; height: 100%;" class="centered">Galleries</p>
                        </div>
                        <div class="icon-case">
                            <list-icon size="icon-20"/>
                        </div>
                    </div>
                    <transition name="slide-fade">
                        <act-list v-if="state.show === true"/>
                    </transition>
                </div>
                <div class="blockitem" style="position: relative">
                    <lang-list/>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
import { defineAsyncComponent, reactive } from 'vue';
import langStore from '../store/langStore';
import ListIcon from './icons/ListIcon.vue';

const ActList = defineAsyncComponent(() => import('./ActList.vue'));
const LangList = defineAsyncComponent(() => import('./LangList.vue'));

const state = reactive({
    show: false
})
const { isLang } = langStore;

</script>

<style scoped>
.btn-txt-local {
    margin: 0;
    padding-top: 8px;
    padding-left: 10px;
    padding-bottom: 8px;
    font-weight: 600;
}

.shaded {
    box-shadow: 3px 3px 8px rgb(83, 83, 83);
}
</style>